NodeRingsDocs

List Credit Ledger Entries

GET
/v1/credits/ledger
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Query Parameters

page?integer
Formatint32
pageSize?integer
Formatint32
entryType?string
Value in"CREDIT_LEDGER_ENTRY_TYPE_UNSPECIFIED" | "CREDIT_LEDGER_ENTRY_TYPE_PURCHASE" | "CREDIT_LEDGER_ENTRY_TYPE_PROMOTIONAL" | "CREDIT_LEDGER_ENTRY_TYPE_PROVISION_RESERVE" | "CREDIT_LEDGER_ENTRY_TYPE_PROVISION_RELEASE" | "CREDIT_LEDGER_ENTRY_TYPE_USAGE_HOLD" | "CREDIT_LEDGER_ENTRY_TYPE_HOLD_RELEASE" | "CREDIT_LEDGER_ENTRY_TYPE_INVOICE_SETTLEMENT" | "CREDIT_LEDGER_ENTRY_TYPE_CHARGEBACK_REVERSAL" | "CREDIT_LEDGER_ENTRY_TYPE_EXPIRY" | "CREDIT_LEDGER_ENTRY_TYPE_FORFEITURE" | "CREDIT_LEDGER_ENTRY_TYPE_MANUAL_ADJUSTMENT"

Response Body

application/json

curl -X GET "https://api.noderings.com/v1/credits/ledger?page&pageSize&entryType" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "entries": [
    {
      "id": "string",
      "entryType": "string",
      "amount": "string",
      "balanceAfter": "string",
      "reservedAfter": "string",
      "currency": "string",
      "creditSource": "string",
      "idempotencyKey": "string",
      "reasonCode": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "totalCount": 0,
  "page": 0,
  "pageSize": 0
}